import {request} from "@/api/request";

export interface Category {
  id: number
  name: string
  parent_chain: string
  parent_id: number
  sort: number
}

interface CategoryList {
  categories: Record<number, Category[]>
}

export interface Courses {
  /** 已完成 */
  is_finished: Curriculum[]
  /** 未完成 */
  is_not_finished: Curriculum[]
  /** 选秀 */
  is_not_required: Curriculum[]
  /** 必修 */
  is_required: Curriculum[]
}

export type CoursesKey = keyof Courses

export type Cur = Category & {
  courses: Courses
  name: string
  resourceCategory?: Cur[]
}


export const publicApi = {
  category() {
    return request<CategoryList>('/api/v1/category/all', "GET")
  },
  /** 课程 */
  curs() {
    return request<Cur[]>('/api/v1/category/index', "GET")
  }
}
