import {CustomWrapper, View} from "@tarojs/components";
import Taro from "@tarojs/taro";
import styles from './my.module.scss'
import {Profile} from '@/store'
import Header from "./components/header/header";
import {FC} from "react";
import Time from "@/pages/my/components/header/time";
import Service from "@/pages/my/components/header/service";

const My: FC = () => {
  const globalData = Taro.getApp().globalData

  return (
    <CustomWrapper>
      <Profile.Provider>
        <View className={styles.content} style={`paddingTop:${globalData.statusBarHeight}px`}>
          <Header/>

          <View className={styles.ribbon}>
            <Time/>
            <Service/>
          </View>
        </View>
      </Profile.Provider>
    </CustomWrapper>
  )
}

export default My
