/*
* 秒转分
*s：秒
* 20:20:20
* 10:10
* */
export function formatMinute(s: number | string): string {
  const time = Number(s)
  if (isNaN(time)) {
    return ''
  }
  const h = parseInt(String(time / 3600))
  const min = parseInt(String(time / 60 % 60))
  const sec = Math.ceil(time % 60)
  const hours = h < 10 ? '0' + h : h
  const formatSecond = sec > 59 ? 59 : sec
  return `${hours > 0 ? `${hours}:` : ''}${min < 10 ? '0' + min : min}:${formatSecond < 10 ? '0' + formatSecond : formatSecond}`
}
